Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.rpcdispatcher
Class RPCConstants

    java.lang.Object
      com.ejie.r01f.rpcdispatcher.RPCConstants

public class RPCConstants
extends java.lang.Object

Constantes....

Author:
  ALEX

Field Summary
`static java.lang.String` | `CHECK_SESSION`
`static int` | `DATATYPE_boolean`
`static int` | `DATATYPE_Boolean`
`static int` | `DATATYPE_Date`
`static int` | `DATATYPE_double`
`static int` | `DATATYPE_Double`
`static int` | `DATATYPE_EXCEPTION`
`static int` | `DATATYPE_float`
`static int` | `DATATYPE_Float`
`static int` | `DATATYPE_int`
`static int` | `DATATYPE_Integer`
`static int` | `DATATYPE_long`
`static int` | `DATATYPE_Long`
`static int` | `DATATYPE_Null`
`static int` | `DATATYPE_Object`
`static int` | `DATATYPE_String`
`static int` | `DATATYPE_UNKNOWN`
`static int` | `DATATYPE_Void`
`static int` | `DATATYPE_XML`
`static java.lang.String[]` | `DATATYPES`
`static java.lang.String` | `DATE_SERIALIZE_FORMAT`
`static boolean` | `DEBUG`
`static java.lang.String` | `DEFAULT_EXECUTOR`
`static java.lang.String` | `FUNCTION`
`static java.lang.String` | `FUNCTION_NAME`
`static int` | `INVOKE_METHOD_MODULE`
`static int` | `INVOKE_METHOD_RPC`
`static int` | `INVOKE_METHOD_SERVLET`
`static int` | `INVOKE_METHOD_URL`
`static java.lang.String` | `MODULE`
`static java.lang.String` | `MODULE_ERRORPAGE`
`static java.lang.String` | `MODULE_EXEC`
`static java.lang.String` | `MODULE_NAME`
`static java.lang.String` | `MODULES`
`static java.lang.String` | `NEW_LINE`
`static java.lang.String` | `NO_SESSION_PAGE`
`static java.lang.String` | `NULL_VALUE`
`static java.lang.String` | `PACKAGE`
`static java.lang.String` | `PARAMETER`
`static java.lang.String` | `PARAMETER_FUNCTION`
`static java.lang.String` | `PARAMETER_MODULE`
`static java.lang.String` | `PARAMETER_NAME`
`static java.lang.String` | `PARAMETER_PASSWORD`
`static java.lang.String` | `PARAMETER_RELOAD`
`static java.lang.String` | `PARAMETER_THREAD`
`static java.lang.String` | `PARAMETER_TYPE`
`static java.lang.String` | `RELOAD_PASSWORD`
`static java.lang.String` | `RESULT`
`static java.lang.String` | `RESULT_CLASS`
`static java.lang.String` | `RPC_CONTEXT_REQUEST_KEY`
`static java.lang.String` | `RPC_EXCEPTION_ATTRIBUTE_KEY`
`static java.lang.String` | `RPC_INPUT_NAME`
`static java.lang.String` | `RPC_PROTOCOL_INPUT_NAME`
`static java.lang.String` | `RPC_THREAD_INPUT_NAME`
`static java.lang.String` | `RPC_TOKEN_INPUT_NAME`
`static java.lang.String` | `RPC_TOKEN_SESSION_KEY`
`static java.lang.String` | `RPCCALL`
`static java.lang.String` | `RPCCALL_MODULE`
`static java.lang.String` | `RPCCALL_RESULT`
`static java.lang.String` | `RPCDISPATCHER_CONFIG`
`static java.lang.String` | `RPCFUNCTION_RESULT`
`static java.lang.String` | `SESSION_CONFIG`
`static java.lang.String` | `URL`
`static java.lang.String` | `USES_TOKEN`
`static java.lang.String` | `XML_HEADER_DIRECTIVE`

Constructor Summary
`RPCConstants()` Creates a new instance of RPCConstants

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEBUG

    public static boolean DEBUG

### PACKAGE

    public static final java.lang.String PACKAGE

See Also:
  Constant Field Values

### NEW_LINE

    public static final java.lang.String NEW_LINE

### XML_HEADER_DIRECTIVE

    public static final java.lang.String XML_HEADER_DIRECTIVE

See Also:
  Constant Field Values

### PARAMETER_RELOAD

    public static final java.lang.String PARAMETER_RELOAD

See Also:
  Constant Field Values

### PARAMETER_PASSWORD

    public static final java.lang.String PARAMETER_PASSWORD

See Also:
  Constant Field Values

### PARAMETER_THREAD

    public static final java.lang.String PARAMETER_THREAD

See Also:
  Constant Field Values

### PARAMETER_MODULE

    public static final java.lang.String PARAMETER_MODULE

See Also:
  Constant Field Values

### PARAMETER_FUNCTION

    public static final java.lang.String PARAMETER_FUNCTION

See Also:
  Constant Field Values

### RPCCALL

    public static final java.lang.String RPCCALL

See Also:
  Constant Field Values

### RPCCALL_MODULE

    public static final java.lang.String RPCCALL_MODULE

See Also:
  Constant Field Values

### FUNCTION

    public static final java.lang.String FUNCTION

See Also:
  Constant Field Values

### FUNCTION_NAME

    public static final java.lang.String FUNCTION_NAME

See Also:
  Constant Field Values

### PARAMETER

    public static final java.lang.String PARAMETER

See Also:
  Constant Field Values

### PARAMETER_NAME

    public static final java.lang.String PARAMETER_NAME

See Also:
  Constant Field Values

### PARAMETER_TYPE

    public static final java.lang.String PARAMETER_TYPE

See Also:
  Constant Field Values

### RPCCALL_RESULT

    public static final java.lang.String RPCCALL_RESULT

See Also:
  Constant Field Values

### RPCFUNCTION_RESULT

    public static final java.lang.String RPCFUNCTION_RESULT

See Also:
  Constant Field Values

### RESULT

    public static final java.lang.String RESULT

See Also:
  Constant Field Values

### RESULT_CLASS

    public static final java.lang.String RESULT_CLASS

See Also:
  Constant Field Values

### DATE_SERIALIZE_FORMAT

    public static final java.lang.String DATE_SERIALIZE_FORMAT

See Also:
  Constant Field Values

### NULL_VALUE

    public static final java.lang.String NULL_VALUE

See Also:
  Constant Field Values

### DATATYPE_UNKNOWN

    public static final int DATATYPE_UNKNOWN

See Also:
  Constant Field Values

### DATATYPE_Void

    public static final int DATATYPE_Void

See Also:
  Constant Field Values

### DATATYPE_Null

    public static final int DATATYPE_Null

See Also:
  Constant Field Values

### DATATYPE_Object

    public static final int DATATYPE_Object

See Also:
  Constant Field Values

### DATATYPE_String

    public static final int DATATYPE_String

See Also:
  Constant Field Values

### DATATYPE_Integer

    public static final int DATATYPE_Integer

See Also:
  Constant Field Values

### DATATYPE_int

    public static final int DATATYPE_int

See Also:
  Constant Field Values

### DATATYPE_Long

    public static final int DATATYPE_Long

See Also:
  Constant Field Values

### DATATYPE_long

    public static final int DATATYPE_long

See Also:
  Constant Field Values

### DATATYPE_Double

    public static final int DATATYPE_Double

See Also:
  Constant Field Values

### DATATYPE_double

    public static final int DATATYPE_double

See Also:
  Constant Field Values

### DATATYPE_Float

    public static final int DATATYPE_Float

See Also:
  Constant Field Values

### DATATYPE_float

    public static final int DATATYPE_float

See Also:
  Constant Field Values

### DATATYPE_Boolean

    public static final int DATATYPE_Boolean

See Also:
  Constant Field Values

### DATATYPE_boolean

    public static final int DATATYPE_boolean

See Also:
  Constant Field Values

### DATATYPE_Date

    public static final int DATATYPE_Date

See Also:
  Constant Field Values

### DATATYPE_XML

    public static final int DATATYPE_XML

See Also:
  Constant Field Values

### DATATYPE_EXCEPTION

    public static final int DATATYPE_EXCEPTION

See Also:
  Constant Field Values

### DATATYPES

    public static final java.lang.String[] DATATYPES

### RPCDISPATCHER_CONFIG

    public static final java.lang.String RPCDISPATCHER_CONFIG

See Also:
  Constant Field Values

### URL

    public static final java.lang.String URL

See Also:
  Constant Field Values

### USES_TOKEN

    public static final java.lang.String USES_TOKEN

See Also:
  Constant Field Values

### RELOAD_PASSWORD

    public static final java.lang.String RELOAD_PASSWORD

See Also:
  Constant Field Values

### SESSION_CONFIG

    public static final java.lang.String SESSION_CONFIG

See Also:
  Constant Field Values

### CHECK_SESSION

    public static final java.lang.String CHECK_SESSION

See Also:
  Constant Field Values

### NO_SESSION_PAGE

    public static final java.lang.String NO_SESSION_PAGE

See Also:
  Constant Field Values

### DEFAULT_EXECUTOR

    public static final java.lang.String DEFAULT_EXECUTOR

See Also:
  Constant Field Values

### MODULE

    public static final java.lang.String MODULE

See Also:
  Constant Field Values

### MODULES

    public static final java.lang.String MODULES

See Also:
  Constant Field Values

### MODULE_NAME

    public static final java.lang.String MODULE_NAME

See Also:
  Constant Field Values

### MODULE_EXEC

    public static final java.lang.String MODULE_EXEC

See Also:
  Constant Field Values

### MODULE_ERRORPAGE

    public static final java.lang.String MODULE_ERRORPAGE

See Also:
  Constant Field Values

### RPC_INPUT_NAME

    public static final java.lang.String RPC_INPUT_NAME

See Also:
  Constant Field Values

### RPC_PROTOCOL_INPUT_NAME

    public static final java.lang.String RPC_PROTOCOL_INPUT_NAME

See Also:
  Constant Field Values

### RPC_TOKEN_INPUT_NAME

    public static final java.lang.String RPC_TOKEN_INPUT_NAME

See Also:
  Constant Field Values

### RPC_THREAD_INPUT_NAME

    public static final java.lang.String RPC_THREAD_INPUT_NAME

See Also:
  Constant Field Values

### INVOKE_METHOD_RPC

    public static final int INVOKE_METHOD_RPC

See Also:
  Constant Field Values

### INVOKE_METHOD_URL

    public static final int INVOKE_METHOD_URL

See Also:
  Constant Field Values

### INVOKE_METHOD_MODULE

    public static final int INVOKE_METHOD_MODULE

See Also:
  Constant Field Values

### INVOKE_METHOD_SERVLET

    public static final int INVOKE_METHOD_SERVLET

See Also:
  Constant Field Values

### RPC_CONTEXT_REQUEST_KEY

    public static final java.lang.String RPC_CONTEXT_REQUEST_KEY

See Also:
  Constant Field Values

### RPC_TOKEN_SESSION_KEY

    public static final java.lang.String RPC_TOKEN_SESSION_KEY

See Also:
  Constant Field Values

### RPC_EXCEPTION_ATTRIBUTE_KEY

    public static final java.lang.String RPC_EXCEPTION_ATTRIBUTE_KEY

See Also:
  Constant Field Values

Constructor Detail

### RPCConstants

    public RPCConstants()

  Creates a new instance of RPCConstants

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD